package com.pqs9000.pojo.monitorMap;

import java.math.BigDecimal;
import java.util.List;

/**
 * system
 *
 * @author cdf
 * @date 2023/7/11
 */
public class AreaSubLineVO {


    private String subName;

    private Integer subId;

    private Integer lineId;

    private String lineName;

    private String voltageLevel;

    private String wiringDiagram;

    private String hangLine;

    private String busBarName;

    private Integer busBarId;

    private BigDecimal lng;

    private BigDecimal lat;

    private Float pt1;

    private Float pt2;

    private Float ct1;

    private Float ct2;

    private Integer runFlag;

    private Integer comFlag;

    private String ip;

    private Integer eventCount;

    private String manufacturer;


    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Integer getSubId() {
        return subId;
    }

    public void setSubId(Integer subId) {
        this.subId = subId;
    }

    public Integer getLineId() {
        return lineId;
    }

    public void setLineId(Integer lineId) {
        this.lineId = lineId;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getVoltageLevel() {
        return voltageLevel;
    }

    public void setVoltageLevel(String voltageLevel) {
        this.voltageLevel = voltageLevel;
    }

    public String getWiringDiagram() {
        return wiringDiagram;
    }

    public void setWiringDiagram(String wiringDiagram) {
        this.wiringDiagram = wiringDiagram;
    }

    public String getHangLine() {
        return hangLine;
    }

    public void setHangLine(String hangLine) {
        this.hangLine = hangLine;
    }

    public String getBusBarName() {
        return busBarName;
    }

    public void setBusBarName(String busBarName) {
        this.busBarName = busBarName;
    }

    public Integer getBusBarId() {
        return busBarId;
    }

    public void setBusBarId(Integer busBarId) {
        this.busBarId = busBarId;
    }

    public BigDecimal getLng() {
        return lng;
    }

    public void setLng(BigDecimal lng) {
        this.lng = lng;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public Float getPt1() {
        return pt1;
    }

    public void setPt1(Float pt1) {
        this.pt1 = pt1;
    }

    public Float getPt2() {
        return pt2;
    }

    public void setPt2(Float pt2) {
        this.pt2 = pt2;
    }

    public Float getCt1() {
        return ct1;
    }

    public void setCt1(Float ct1) {
        this.ct1 = ct1;
    }

    public Float getCt2() {
        return ct2;
    }

    public void setCt2(Float ct2) {
        this.ct2 = ct2;
    }

    public Integer getRunFlag() {
        return runFlag;
    }

    public void setRunFlag(Integer runFlag) {
        this.runFlag = runFlag;
    }

    public Integer getComFlag() {
        return comFlag;
    }

    public void setComFlag(Integer comFlag) {
        this.comFlag = comFlag;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getEventCount() {
        return eventCount;
    }

    public void setEventCount(Integer eventCount) {
        this.eventCount = eventCount;
    }
}
